> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Bulk Create

POST https://restapi.ordergroove.com/products-batch/create/
Content-Type: application/json

Creates multiple products

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/products/bulk-create

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `force_all_fields` (string, optional, default: false) — Ignore manual product configuration rules

### Body (application/json)

This endpoint expects an object.

- `RAW_BODY` (list of ProductsBatchCreatePostRequestBodyContentApplicationJsonSchemaRawBodyItems, optional) — List of products (max 100)

## Response

### 207

207

- `results` (list of ProductsBatchCreatePostResponsesContentApplicationJsonSchemaResultsItems, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Types

### ProductsBatchCreatePostRequestBodyContentApplicationJsonSchemaRawBodyItems

- `product_id` (string, required) — Product ID (must be unique)
- `name` (string, optional) — Product Name
- `sku` (string, optional) — Product SKU
- `price` (double, optional) — Product price
- `live` (boolean, optional, default: true) — Product liveliness
- `image_url` (string, optional, default: null) — Product image url
- `detail_url` (string, optional, default: null) — Product details url
- `autoship_enabled` (boolean, optional, default: false) — Product autoship eligibility
- `prepaid_eligible` (boolean, optional, default: false) — Product prepaid eligibility
- `discontinued` (boolean, optional, default: false) — Product discontinued status
- `autoship_by_default` (boolean, optional, default: false) — Product default autoship
- `product_type` (enum, optional, default: standard) — Product type: "standard", "bundle", "club", "dynamic price bundle", "static price bundle"
  - Allowed values: `standard`, `bundle`, `club`, `dynamic price bundle`, `static price bundle`
- `every` (integer, optional) — Number of periods
- `every_period` (integer, optional) — Type of periods
- `premier_enabled` (integer, optional) — Product premier: 0 for Disabled, 1 for Enabled, 2 for Tier
- `extra_data` (string, optional, default: null) — Raw JSON string that should be JSON.parse() as key/value store for any extra information.
- `groups` (list of ProductsBatchCreatePostRequestBodyContentApplicationJsonSchemaRawBodyItemsGroupsItems, optional) — Product Groups to be associated with the Product (notice that this list of groups will replace the current list of groups that are associated with the product)

### ProductsBatchCreatePostResponsesContentApplicationJsonSchemaResultsItems

- `product_id` (string, optional)
- `status` (integer, optional, default: 0)

### ProductsBatchCreatePostRequestBodyContentApplicationJsonSchemaRawBodyItemsGroupsItems

- `name` (string, optional) — Product group's name
- `group_type` (string, optional) — Product group's type

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "results": [
    {
      "product_id": "169869470520111636",
      "status": 200
    },
    {
      "product_id": "169869470520111637",
      "status": 400
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products-batch/create/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products-batch/create/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products-batch/create/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products-batch/create/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/products-batch/create/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/products-batch/create/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products-batch/create/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products-batch/create/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```